Resource

Incident Role

Manage incident roles for your project (Incident Commander, Responder, etc.). Add, edit, or remove roles.

The Incident Role Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    color
    Type
    ColorRequired
    Description

    Color of this resource in Hex (#32a852 for example)

  • Name
    roleIcon
    Type
    Text
    Description

    Icon for this incident role (e.g., User, Shield, etc.)

  • Name
    isPrimaryRole
    Type
    Boolean
    Description

    Is this the primary incident role? Primary roles like Incident Commander have special significance.

  • Name
    isDeleteable
    Type
    Boolean
    Description

    Can this role be deleted? Primary roles cannot be deleted.

  • Name
    canAssignMultipleUsers
    Type
    Boolean
    Description

    Can multiple users be assigned to this role? If false, only one user can be assigned.

GETorPOST/api/incident-role/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident Role. By default, a maximum of ten Incident Role are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-role/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "description": true,
    "color": true,
    "slug": true
  },
  "query": {
    "name": "Incident Commander"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3771b8c0-28fe-11f1-b591-3fdcef396aba",
      "name": "Incident Commander",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "description": "Primary decision maker during an incident",
      "color": "#3498db",
      "slug": "Example slug"
    },
    {
      "_id": "3771b8c1-28fe-11f1-b591-3fdcef396aba",
      "name": "Incident Commander",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "description": "Primary decision maker during an incident",
      "color": "#3498db",
      "slug": "Example slug"
    },
    {
      "_id": "3771b8c2-28fe-11f1-b591-3fdcef396aba",
      "name": "Incident Commander",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "description": "Primary decision maker during an incident",
      "color": "#3498db",
      "slug": "Example slug"
    }
  ]
}
GETorPOST/api/incident-role/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident Role by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-role/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "description": true,
    "color": true,
    "slug": true
  }
}

Response

{
  "_id": "3771b8c0-28fe-11f1-b591-3fdcef396aba",
  "name": "Incident Commander",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "description": "Primary decision maker during an incident",
  "color": "#3498db",
  "slug": "Example slug"
}
POST/api/incident-role/count

Count

This endpoint allows you to retrieve the count of all your Incident Role.

Optional Request Body

Count Request

POST
/api/incident-role/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Incident Commander"
  }
}

Response

{
  "count": 107
}
POST/api/incident-role

Create Incident Role

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-role
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Incident Commander",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "description": "Primary decision maker during an incident",
    "color": "#3498db",
    "canAssignMultipleUsers": true
  }
}

Response

{
  "_id": "3771b8c0-28fe-11f1-b591-3fdcef396aba",
  "name": "Incident Commander",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "description": "Primary decision maker during an incident",
  "color": "#3498db",
  "slug": "Example slug"
}
PUT/api/incident-role/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-role/:id/update-item
GET/api/incident-role/:id/update-item

Update Request

PUT
/api/incident-role/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Incident Commander",
    "description": "Primary decision maker during an incident",
    "color": "#3498db"
  }
}

Response

{}
DELETE/api/incident-role/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-role/:id/delete-item
GET/api/incident-role/:id/delete-item

Delete Request

DELETE
/api/incident-role/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident Role

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident Role
  • Read All Project Resources

Create Permissions

Required to create Incident Role

  • Project Owner
  • Project Admin
  • Project Member
  • Create Incident Role

Update Permissions

Required to update Incident Role

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Incident Role

Delete Permissions

Required to delete Incident Role

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Incident Role